Bug 1409844 - [Intel OSP12] Intel RDT Plugin
Summary: [Intel OSP12] Intel RDT Plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: collectd
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Matthias Runge
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On: 1415656 1435765 1526188 1558465 1559557 1559558 1559559 1643196
Blocks: 1419948 1422243 intel-collectd 1488155
TreeView+ depends on / blocked
 
Reported: 2017-01-03 15:40 UTC by damien Power
Modified: 2018-11-17 09:10 UTC (History)
13 users (show)

Fixed In Version: collectd-5.8.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1409814
Environment:
Last Closed: 2018-06-27 13:08:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
RDO 11583 0 None master: MERGED centos-opstools/collectd: Add config for intel rdt plugin (I0484e71c27b5eb0664f5022f6c46a4a69d8843a5) 2018-03-29 14:38:46 UTC
Red Hat Product Errata RHEA-2018:2084 0 None None None 2018-06-27 13:10:40 UTC

Description damien Power 2017-01-03 15:40:31 UTC
+++ This bug was initially created as a clone of Bug #1409814 +++

1. Feature Overview:
a) Name of feature: Intel RDT Plugin 
b) Feature Description: 
The intel_rdt plugin collects information provided by monitoring features of Intel Resource Director Technology (Intel(R) RDT) like Cache Monitoring Technology (CMT), Memory Bandwidth Monitoring (MBM).  These features provide information about utilization of shared resources. 

This plugin is upstreamed and is on release https://collectd.org/wiki/index.php/Version_5.7

2. Feature Details:
a) Architectures:
b) Bugzilla Dependencies:
c) Drivers or hardware dependencies: n/a
d) Upstream acceptance information: Spec and implementation in progress.

e) External links:

f) Severity (H,M,L): M
g) Feature Needed by:

3. Business Justification:
a) Why is this feature needed?
b) What hardware does this enable? n/a
c) Is this hardware on-board in a system (eg, LOM) or an add-on card? No
d) Business impact? n.a
e) Other business drivers:

4. Primary contact at Red Hat, email, phone (chat):

5. Primary contact at Partner, email, phone (chat):
Rob Love
robert.w.love@intel.com

Comment 1 damien Power 2017-01-03 15:50:42 UTC
This plugin is upstreamed and is on release https://collectd.org/wiki/index.php/Version_5.7
(https://github.com/collectd/collectd/pull/1970)

Comment 3 Matthias Runge 2017-05-19 06:20:24 UTC
bumping this to queens, until the library has been sorted out.

Comment 4 Red Hat Bugzilla Rules Engine 2017-05-19 06:20:29 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 7 damien Power 2017-10-13 13:30:10 UTC
Available in collectd 5.7

Comment 8 Matthias Runge 2017-10-24 13:26:15 UTC
available for testing purposes on CentOS 7 from here: https://cbs.centos.org/koji/buildinfo?buildID=20407 or via 

yum install centos-release-opstools 
and enabling opstools-testing repo

Comment 10 tony.b.mcmahon 2017-12-15 12:00:49 UTC
Additional patches merged into collectd 5.8 release, release completed November 11th 2017

Comment 12 Matthias Runge 2018-01-25 10:13:54 UTC
The collectd build is there, but it needs to get into containers as well.

Comment 14 Matthias Runge 2018-01-29 07:56:35 UTC
patch to add this was merged into kolla https://review.openstack.org/#/c/537891/

Comment 16 Matthias Runge 2018-02-05 11:30:53 UTC
The last remaining piece (config snippet) was merged into centos-opstools

Comment 20 Matthias Runge 2018-02-20 10:50:55 UTC
new build adds config

Comment 22 Leonid Natapov 2018-03-20 07:43:44 UTC
Failed QA. Plugin was unable to load.

Getting thw following message in collectd.log

ntel_rdt: Error initializing PQoS library!

Probably intel-cmt-cat missing

Comment 24 Matthias Runge 2018-03-20 09:32:02 UTC
it seems, this is getting blocked by selinux

type=AVC msg=audit(1521538176.491:1898): avc:  denied  { add_name } for  pid=28227 comm="collectd" name="libpqos" scontext=system_u:system_r:collectd_t:s0 tcontext=system_u:object_r:var_lock_t:s0 tclass=dir
type=AVC msg=audit(1521538176.491:1898): avc:  denied  { create } for  pid=28227 comm="collectd" name="libpqos" scontext=system_u:system_r:collectd_t:s0 tcontext=system_u:object_r:var_lock_t:s0 tclass=file
type=AVC msg=audit(1521538176.491:1898): avc:  denied  { write open } for  pid=28227 comm="collectd" path="/run/lock/libpqos" dev="tmpfs" ino=423477 scontext=system_u:system_r:collectd_t:s0 tcontext=system_u:object_r:var_lock_t:s0 tclass=file

Comment 28 Leonid Natapov 2018-04-04 08:09:39 UTC
Verified. plugin loaded. interl_rdt statistics received by gnocchi.

[root@seal07 ~]# gnocchi metric list | grep rdt
| 042c2376-e7da-47dd-8098-1e3d0f851b9e | low                 | intel_rdt-20@bytes-llc                             | None | a5b82d54-b727-512a-a815-0c11e08ddc61 |
| 06095ad4-5b4c-4565-874a-6ade9059c341 | low                 | intel_rdt-0@ipc                                    | None | 30700b5a-b13b-5334-aba4-72d73aca1b58 |
| 066c1ffe-4f3f-4d04-8ab7-808b2ad506bd | low                 | intel_rdt-12@ipc                                   | None | a5b82d54-b727-512a-a815-0c11e08ddc61 |
| 0991c583-b6e3-4496-8a0f-e395572d9356 | low                 | intel_rdt-18@bytes-llc                             | None | 30700b5a-b13b-5334-aba4-72d73aca1b58 |
| 0af3eb43-9dd8-4d75-903d-47e6663a2454 | low                 | intel_rdt-31@bytes-llc                             | None | 30700b5a-b13b-5334-aba4-72d73aca1b58 |
| 0c29bce4-90d6-479c-adb8-082c114a0323 | low                 | intel_rdt-23@ipc                                   | None | 30700b5a-b13b-5334-aba4-72d73aca1b58 |
| 0c61e337-26ee-4faa-8eba-1774180fe0f2 | low                 | intel_rdt-14@bytes-llc                             | None | 30700b5a-b13b-5334-aba4-72d73aca1b58 |
| 0d584aec-8503-4228-b6cb-3233ee55ed5b | low                 | intel_rdt-31@ipc                                   | None | 30700b5a-b13b-5334-aba4-72d73aca1b58 |

Comment 30 errata-xmlrpc 2018-06-27 13:08:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2084


Note You need to log in before you can comment on or make changes to this bug.